<%@ Page Language="C#" MasterPageFile="~/MasterPages/Root.Master" AutoEventWireup="true" CodeBehind="ContactUs.aspx.cs" Inherits="TimesheetWebApplication.ContactUs" Title="Contact Us" %>
<asp:Content ID="Content1" ContentPlaceHolderID="RootContentPlaceHolder" runat="server">

    <asp:ValidationSummary runat="server" ID="ContactUsValidationSummary" ValidationGroup="ContactUs" />
    
    <div runat="server" id="ForgottenPasswordDiv" class="DataFormStyle">

        <div class="HeaderSection">
            <div runat="server" id="HeaderLabel" class="Header"><%= Resources.Main.ContactUs %></div>
        </div>
        
        <div runat="server" id="SubjectDiv" class="DataSection">
            <div runat="server" id="SubjectLabel" class="Label"><%= Resources.Main.Subject %></div>
            <asp:DropDownList runat="server" ID="SubjectList" CssClass="DropDownList">
            </asp:DropDownList>
            <asp:RequiredFieldValidator runat="server" ID="SubjectListRequiredFieldValidator" ControlToValidate="SubjectList" 
                Text="*" ValidationGroup="ContactUs" InitialValue="-1" ErrorMessage="<%$ Resources:Main, SubjectRequired %>" />
        </div>
        
        <div runat="server" id="MessageDiv" class="DataSection">
            <div runat="server" id="MessageLabel" class="Label"><%= Resources.Main.Message %></div>
            <asp:TextBox runat="server" ID="MessageTextBox" CssClass="MultiLineTextBox" TextMode="MultiLine"></asp:TextBox>
            <asp:RequiredFieldValidator runat="server" ID="MessageTextBoxRequiredFieldValidator" ControlToValidate="MessageTextBox" 
                Text="*" ValidationGroup="ContactUs" ErrorMessage="<%$ Resources:Main, MessageRequired %>" />
        </div>
        
        <div runat="server" id="EmailDiv" class="DataSection">
            <div runat="server" id="EmailLabel" class="Label"><%= Resources.Main.Email %></div>
            <asp:TextBox runat="server" ID="EmailTextBox" CssClass="TextBox"></asp:TextBox>
            <asp:RequiredFieldValidator runat="server" ID="EmailTextBoxRequiredFieldValidator" ControlToValidate="EmailTextBox" 
                Text="*" ValidationGroup="ContactUs" ErrorMessage="<%$ Resources:Main, EmailRequired %>" />
        </div>
        
        <div class="ErrorSection" runat="server" id="ErrorSection">
            <div runat="server" id="ErrorLabel"></div>
        </div>
    
        <div class="ButtonSection">
            <asp:Button runat="server" ID="SendMessageButton" OnClick="SendMessageButton_Clicked" 
                ValidationGroup="ContactUs" Text="<%$ Resources:Main, SendMessage %>" CssClass="Button" />
        </div>
               
    </div>
    
</asp:Content>
