<%@ Page Language="C#" MasterPageFile="~/MasterPages/Admin.Master" AutoEventWireup="true" CodeBehind="CreateActivity.aspx.cs" Inherits="TimesheetWebApplication.Secure.Admin.CreateActivity" Title='<%$ Resources:Main, CreateActivity %>' %>
<asp:Content ID="Content1" ContentPlaceHolderID="AdminContentPlaceHolder" runat="server">

    <asp:ValidationSummary runat="server" ID="CreateActivityValidationSummary" ValidationGroup="CreateActivity" />

    <div class="DataSection">
        <div class="HeaderSection">
            <label class="Header"><%= Resources.Main.CreateActivity %></label>
        </div>
        <div class="MandatorySection" runat="server" id="OrganisationSection">
            <label class="Label"><%= Resources.Main.Organisation %></label>
            <asp:DropDownList runat="server" ID="OrganisationList" AutoPostBack="true" OnSelectedIndexChanged="OrganisationList_SelectedIndexChanged"></asp:DropDownList>
            <asp:RequiredFieldValidator runat="server" ID="OrganisationListRequiredFieldValidator" ControlToValidate="OrganisationList"
                ErrorMessage='<%$ Resources:Main, OrganisationMustBeSelected %>' ValidationGroup="CreateActivity" 
                InitialValue="-1">*</asp:RequiredFieldValidator>
        </div>
        <div class="MandatorySection">
            <label class="Label"><%= Resources.Main.JobCode %></label>
            <asp:DropDownList runat="server" ID="JobCodeList"></asp:DropDownList>
            <asp:RequiredFieldValidator runat="server" ID="JobCodeListRequiredFieldValidator" ControlToValidate="JobCodeList"
                ErrorMessage='<%$ Resources:Main, JobCodeMustBeSelected %>' ValidationGroup="CreateActivity" 
                InitialValue="-1">*</asp:RequiredFieldValidator>
        </div>
        <div class="MandatorySection">
            <label class="Label"><%= Resources.Main.Code %></label>
            <asp:TextBox runat="server" ID="CodeTextBox"></asp:TextBox>
            <asp:RequiredFieldValidator runat="server" ID="CodeTextBoxRequiredFieldValidator" ControlToValidate="CodeTextBox"
                ErrorMessage='<%$ Resources:Main, ActivityCodeRequired %>' ValidationGroup="CreateActivity">*</asp:RequiredFieldValidator>
        </div>
        <div class="MandatorySection">
            <label class="Label"><%= Resources.Main.Name %></label>
            <asp:TextBox runat="server" ID="NameTextBox"></asp:TextBox>
            <asp:RequiredFieldValidator runat="server" ID="NameRequiredFieldValidator" ControlToValidate="NameTextBox"
                ErrorMessage='<%$ Resources:Main, NameRequired %>' ValidationGroup="CreateActivity">*</asp:RequiredFieldValidator>
        </div>
        <div class="ButtonSection">
            <asp:Button runat="server" ID="CreateActivityButton" Text='<%$ Resources:Main, CreateActivity %>' OnClick="CreateActivityButton_Clicked" ValidationGroup="CreateActivity" CssClass="Button" />
            <asp:Button runat="server" ID="CancelButton" Text='<%$ Resources:Main, Cancel %>' OnClick="CancelButton_Clicked" CausesValidation="false" CssClass="Button" />
        </div>
    </div>
       
</asp:Content>
