<%@ Page Language="C#" MasterPageFile="~/MasterPages/Admin.Master" AutoEventWireup="true" CodeBehind="CreateRole.aspx.cs" Inherits="TimesheetWebApplication.Secure.Admin.CreateRole" Title='<%$ Resources:Main, CreateRole %>' %>
<asp:Content ID="Content1" ContentPlaceHolderID="AdminContentPlaceHolder" runat="server">

    <div runat="server" id="RoleMessageSection" class="ImportantMessage"><%= Resources.Main.RoleChangesMessage %></div>
    
    <asp:ValidationSummary runat="server" ID="CreateRoleValidationSummary" ValidationGroup="CreateRole" />

    <div class="DataSection">
        <div class="HeaderSection">
            <label class="Header"><%= Resources.Main.CreateRole %></label>
        </div>
        <div class="MandatorySection">
            <label class="Label"><%= Resources.Main.Id %></label>
            <asp:TextBox runat="server" ID="IdTextBox"></asp:TextBox>
            <asp:RequiredFieldValidator runat="server" ID="IdTextBoxRequiredFieldValidator" ControlToValidate="IdTextBox"
                ErrorMessage='<%$ Resources:Main, IdRequired %>' ValidationGroup="CreateRole">*</asp:RequiredFieldValidator>
            <asp:CompareValidator runat="server" ID="IdTextBoxCompareValidator" ControlToValidate="IdTextBox"
                ErrorMessage='<%$ Resources:Main, IdMustBeAnInteger %>' ValidationGroup="CreateRole" Type="Integer" 
                Operator="DataTypeCheck">*</asp:CompareValidator>
        </div>
        <div class="MandatorySection">
            <label class="Label"><%= Resources.Main.Name %></label>
            <asp:TextBox runat="server" ID="NameTextBox"></asp:TextBox>
            <asp:RequiredFieldValidator runat="server" ID="NameRequiredFieldValidator" ControlToValidate="NameTextBox"
                ErrorMessage='<%$ Resources:Main, NameRequired %>' ValidationGroup="CreateRole">*</asp:RequiredFieldValidator>
        </div>
        <div class="ButtonSection">
            <asp:Button runat="server" ID="CreateRoleButton" Text='<%$ Resources:Main, CreateRole %>' OnClick="CreateRoleButton_Clicked" ValidationGroup="CreateRole" CssClass="Button" />
            <asp:Button runat="server" ID="CancelButton" Text='<%$ Resources:Main, Cancel %>' OnClick="CancelButton_Clicked" CausesValidation="false" CssClass="Button" />
        </div>
    </div>
    
</asp:Content>
