<%@ Page Language="C#" MasterPageFile="~/MasterPages/Admin.Master" AutoEventWireup="true" CodeBehind="CreateTimesheetStatus.aspx.cs" Inherits="TimesheetWebApplication.Secure.Admin.CreateTimesheetStatus" Title='<%$ Resources:Main, CreateTimesheetStatus %>' %>
<asp:Content ID="Content1" ContentPlaceHolderID="AdminContentPlaceHolder" runat="server">

    <div runat="server" id="TimesheetStatusMessageSection" class="ImportantMessage"><%= Resources.Main.TimesheetStatusChangesMessage%></div>
    
    <asp:ValidationSummary runat="server" ID="CreateTimesheetStatusValidationSummary" ValidationGroup="CreateTimesheetStatus" />

    <div class="DataSection">
        <div class="HeaderSection">
            <label class="Header"><%= Resources.Main.CreateTimesheetStatus%></label>
        </div>
        <div class="MandatorySection">
            <label class="Label"><%= Resources.Main.Id %></label>
            <asp:TextBox runat="server" ID="IdTextBox"></asp:TextBox>
            <asp:RequiredFieldValidator runat="server" ID="IdTextBoxRequiredFieldValidator" ControlToValidate="IdTextBox"
                ErrorMessage='<%$ Resources:Main, IdRequired %>' ValidationGroup="CreateTimesheetStatus">*</asp:RequiredFieldValidator>
            <asp:CompareValidator runat="server" ID="IdTextBoxCompareValidator" ControlToValidate="IdTextBox"
                ErrorMessage='<%$ Resources:Main, IdMustBeAnInteger %>' ValidationGroup="CreateTimesheetStatus" Type="Integer" 
                Operator="DataTypeCheck">*</asp:CompareValidator>
        </div>
        <div class="MandatorySection">
            <label class="Label"><%= Resources.Main.Name %></label>
            <asp:TextBox runat="server" ID="NameTextBox"></asp:TextBox>
            <asp:RequiredFieldValidator runat="server" ID="NameRequiredFieldValidator" ControlToValidate="NameTextBox"
                ErrorMessage='<%$ Resources:Main, NameRequired %>' ValidationGroup="CreateTimesheetStatus">*</asp:RequiredFieldValidator>
        </div>
        <div class="ButtonSection">
            <asp:Button runat="server" ID="CreateTimesheetStatusButton" Text='<%$ Resources:Main, CreateTimesheetStatus %>' OnClick="CreateTimesheetStatusButton_Clicked" ValidationGroup="CreateTimesheetStatus" CssClass="Button" />
            <asp:Button runat="server" ID="CancelButton" Text='<%$ Resources:Main, Cancel %>' OnClick="CancelButton_Clicked" CausesValidation="false" CssClass="Button" />
        </div>
    </div>
    
</asp:Content>
