<%@ Page Language="C#" MasterPageFile="~/MasterPages/Admin.Master" AutoEventWireup="true" CodeBehind="EditUser.aspx.cs" Inherits="TimesheetWebApplication.Secure.Admin.EditUser" Title='<%$ Resources:Main, EditUser %>' %>
<asp:Content ID="Content1" ContentPlaceHolderID="AdminContentPlaceHolder" runat="server">

    <asp:ValidationSummary runat="server" ID="CreateUserSummary" ValidationGroup="EditUser" />

    <div class="DataSection">
        <div class="HeaderSection">
            <label class="Header"><%= Resources.Main.EditUser %></label>
        </div>
        <div class="MandatorySection">
            <label class="Label"><%= Resources.Main.EmployeeId %></label>
            <asp:TextBox runat="server" ID="EmployeeIdTextBox"></asp:TextBox>
            <asp:RequiredFieldValidator runat="server" ID="EmployeeIdTextBoxRequiredFieldValidator" ControlToValidate="EmployeeIdTextBox"
                ErrorMessage='<%$ Resources:Main, EmployeeIdRequired %>' ValidationGroup="EditUser">*</asp:RequiredFieldValidator>
        </div>
        <div class="MandatorySection">
            <label class="Label"><%= Resources.Main.Gender %></label>
            <asp:DropDownList runat="server" ID="GenderList"></asp:DropDownList>
            <asp:RequiredFieldValidator runat="server" ID="GenderListRequiredFieldValidator" ControlToValidate="GenderList"
                ErrorMessage='<%$ Resources:Main, GenderMustBeSelected %>' ValidationGroup="EditUser" 
                InitialValue="-1">*</asp:RequiredFieldValidator>
        </div>
        <div runat="server" id="RoleSection" class="MandatorySection">
            <label class="Label"><%= Resources.Main.Role %></label>
            <asp:DropDownList runat="server" ID="RoleList"></asp:DropDownList>
            <asp:RequiredFieldValidator runat="server" ID="RoleListRequiredFieldValidator" ControlToValidate="RoleList"
                ErrorMessage='<%$ Resources:Main, RoleMustBeSelected %>' ValidationGroup="EditUser" 
                InitialValue="-1">*</asp:RequiredFieldValidator>
        </div>
        <div class="MandatorySection">
            <label class="Label"><%= Resources.Main.Email %></label>
            <asp:TextBox runat="server" ID="EmailTextBox"></asp:TextBox>
            <asp:RequiredFieldValidator runat="server" ID="EmailTextBoxRequiredFieldValidator" ControlToValidate="EmailTextBox"
                ErrorMessage='<%$ Resources:Main, EmailRequired %>' ValidationGroup="EditUser">*</asp:RequiredFieldValidator>
        </div>
        <div class="MandatorySection">
            <label class="Label"><%= Resources.Main.Firstname %></label>
            <asp:TextBox runat="server" ID="FirstnameTextBox"></asp:TextBox>
            <asp:RequiredFieldValidator runat="server" ID="FirstnameTextBoxRequiredFieldValidator" ControlToValidate="FirstnameTextBox"
                ErrorMessage='<%$ Resources:Main, FirstnameRequired %>' ValidationGroup="EditUser">*</asp:RequiredFieldValidator>
        </div>
        <div class="MandatorySection">
            <label class="Label"><%= Resources.Main.Surname %></label>
            <asp:TextBox runat="server" ID="SurnameTextBox"></asp:TextBox>
            <asp:RequiredFieldValidator runat="server" ID="SurnameTextBoxRequiredFieldValidator" ControlToValidate="SurnameTextBox"
                ErrorMessage='<%$ Resources:Main, SurnameRequired %>' ValidationGroup="EditUser">*</asp:RequiredFieldValidator>
        </div>
        <div class="OptionalSection" runat="server" id="OrganisationSection">
            <label class="Label"><%= Resources.Main.Organisation %></label>
            <asp:DropDownList runat="server" ID="OrganisationList" AutoPostBack="true" OnSelectedIndexChanged="OrganisationList_IndexChanged"></asp:DropDownList>
        </div>
        <div class="OptionalSection" runat="server" id="ApproverSection">
            <label class="Label"><%= Resources.Main.Approver%></label>
            <asp:DropDownList runat="server" ID="ApproverList"></asp:DropDownList>
        </div>
        
        <div class="ButtonSection">
            <asp:Button runat="server" ID="UpdateUserButton" Text='<%$ Resources:Main, UpdateUser %>' OnClick="UpdateUserButton_Clicked" ValidationGroup="EditUser" />
            <asp:Button runat="server" ID="CancelButton" Text='<%$ Resources:Main, Cancel %>' OnClick="CancelButton_Clicked" CausesValidation="false" />
        </div>
    </div>
    
</asp:Content>
