<%@ Page Language="C#" MasterPageFile="~/MasterPages/Admin.Master" AutoEventWireup="true" CodeBehind="Roles.aspx.cs" Inherits="TimesheetWebApplication.Secure.Admin.Roles" Title='<%$ Resources:Main, ManageRoles %>' %>
<asp:Content ID="Content1" ContentPlaceHolderID="AdminContentPlaceHolder" runat="server">

    <div runat="server" id="RoleMessageSection" class="ImportantMessage"><%= Resources.Main.RoleChangesMessage %></div>
    
    <asp:Repeater runat="server" ID="RolesRepeater">
        <HeaderTemplate>
            <table class="DataTableStyle">
                <thead>
                    <tr>
                        <th><%= Resources.Main.Id %></th>
                        <th><%= Resources.Main.Name %></th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
        </HeaderTemplate>
        <ItemTemplate>
            <tr>
                <td><%# DataBinder.Eval(Container.DataItem, "Role Id")%></td>
                <td><%# DataBinder.Eval(Container.DataItem, "Name")%></td>
                <td>
                    <asp:LinkButton ID="DeleteRoleLinkButton" runat="server" Text="<%$ Resources:Main, Delete %>" OnClick="DeleteRole_Clicked"
                                CommandArgument='<%# Eval("Role Id")%>'
                                OnClientClick=<%# "return confirm('" + Resources.Main.ConfirmDelete + "');" %> />
                </td>
            </tr>
        </ItemTemplate>
        <FooterTemplate>
                </tbody>
            </table>
        </FooterTemplate>
    </asp:Repeater>
    
    <div class="ButtonSection">
        <asp:Button runat="server" ID="CreateRoleButton" Text='<%$ Resources:Main, CreateRole %>' OnClick="CreateRoleButton_Clicked" CssClass="Button" />
        <asp:Button runat="server" ID="CancelButton" Text='<%$ Resources:Main, Cancel %>' OnClick="CancelButton_Clicked" CssClass="Button" />
    </div>
    
</asp:Content>
