<%@ Page Language="C#" MasterPageFile="~/MasterPages/Admin.Master" AutoEventWireup="true" CodeBehind="TimesheetStatuses.aspx.cs" Inherits="TimesheetWebApplication.Secure.Admin.TimesheetStatuses" Title='<%$ Resources:Main, ManageTimesheetStatuses %>' %>
<asp:Content ID="Content1" ContentPlaceHolderID="AdminContentPlaceHolder" runat="server">

    <div runat="server" id="TimesheetStatusMessageSection" class="ImportantMessage"><%= Resources.Main.TimesheetStatusChangesMessage%></div>
    
    <asp:Repeater runat="server" ID="TimesheetStatusesRepeater">
        <HeaderTemplate>
            <table class="DataTableStyle">
                <thead>
                    <tr>
                        <th><%= Resources.Main.Id %></th>
                        <th><%= Resources.Main.Name %></th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
        </HeaderTemplate>
        <ItemTemplate>
            <tr>
                <td><%# DataBinder.Eval(Container.DataItem, "Timesheet Status Id")%></td>
                <td><%# DataBinder.Eval(Container.DataItem, "Name")%></td>
                <td>
                    <asp:LinkButton ID="DeleteTimesheetStatusLinkButton" runat="server" Text="<%$ Resources:Main, Delete %>" OnClick="DeleteTimesheetStatus_Clicked"
                                CommandArgument='<%# Eval("Timesheet Status Id")%>'
                                OnClientClick=<%# "return confirm('" + Resources.Main.ConfirmDelete + "');" %> />
                </td>
            </tr>
        </ItemTemplate>
        <FooterTemplate>
                </tbody>
            </table>
        </FooterTemplate>
    </asp:Repeater>
    
    <div class="ButtonSection">
        <asp:Button runat="server" ID="CreateTimesheetStatusButton" Text='<%$ Resources:Main, CreateTimesheetStatus %>' OnClick="CreateTimesheetStatusButton_Clicked" CssClass="Button" />
        <asp:Button runat="server" ID="CancelButton" Text='<%$ Resources:Main, Cancel %>' OnClick="CancelButton_Clicked" CssClass="Button" />
    </div>
    
</asp:Content>
