<%@ Page Language="C#" MasterPageFile="~/MasterPages/Secure.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="TimesheetWebApplication.Secure.Default" Title='<%$ Resources:Main, MyHome %>' %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="AJAX" %>
<%@ Register Src="~/WebUserControls/TimesheetsOverview.ascx" TagPrefix="wuc" TagName="TimesheetsOverview" %>

<asp:Content ID="Content1" ContentPlaceHolderID="SecureContentPlaceHolder" runat="server">

    <wuc:TimesheetsOverview runat="server" ID="TimesheetsWaitingApproval" CssClass="TimesheetsOverviewControlStyle" 
        HeaderText='<%$ Resources:Main, TimesheetsWaitingApproval %>'
        DescriptionText='<%$ Resources:Main, TimesheetsWaitingApprovalDescription %>' 
        ShowUserNameColumn="true" />
        
    <wuc:TimesheetsOverview runat="server" ID="MySavedTimesheets" CssClass="TimesheetsOverviewControlStyle" 
        HeaderText='<%$ Resources:Main, MySavedTimesheets %>'
        DescriptionText='<%$ Resources:Main, MySavedTimesheetsDescription %>'
        ShowUserNameColumn="true" />
    
    <wuc:TimesheetsOverview runat="server" ID="MySubmittedTimesheets" CssClass="TimesheetsOverviewControlStyle" 
        HeaderText='<%$ Resources:Main, MySubmittedTimesheets %>'
        DescriptionText='<%$ Resources:Main, MySubmittedTimesheetsDescription %>'
        ShowUserNameColumn="true" />
            
    <wuc:TimesheetsOverview runat="server" ID="MyDeclinedTimesheets" CssClass="TimesheetsOverviewControlStyle" 
        HeaderText='<%$ Resources:Main, MyDeclinedTimesheets %>'
        DescriptionText='<%$ Resources:Main, MyDeclinedTimesheetsDescription %>'
        ShowUserNameColumn="true" />
        
    <wuc:TimesheetsOverview runat="server" ID="MyApprovedTimesheets" CssClass="TimesheetsOverviewControlStyle" 
        HeaderText='<%$ Resources:Main, MyApprovedTimesheets %>'
        DescriptionText='<%$ Resources:Main, MyApprovedTimesheetsDescription %>'
        ShowUserNameColumn="true" />
    
</asp:Content>
