<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Login.ascx.cs" Inherits="TimesheetWebApplication.WebUserControls.Login" %>

<div runat="server" id="LoginDiv">
    <div class="HeaderSection">
        <div runat="server" id="HeaderLabel"></div>
    </div>
    <div class="DataSection">
        <div runat="server" id="EmailLabel" class="Label"></div>
        <asp:TextBox runat="server" ID="EmailTextbox" CssClass="TextBox"></asp:TextBox>
        <asp:RequiredFieldValidator runat="server" ID="EmailTextboxValidator" ControlToValidate="EmailTextbox" 
            Text="*" ValidationGroup="Login" />
    </div>
    <div class="DataSection">
        <div runat="server" id="PasswordLabel" class="Label"></div>
        <asp:TextBox runat="server" ID="PasswordTextbox" TextMode="Password" CssClass="TextBox"></asp:TextBox>
        <asp:RequiredFieldValidator runat="server" ID="PasswordTextboxValidator" ControlToValidate="PasswordTextbox" 
            Text="*" ValidationGroup="Login" />
    </div>
    <div class="KeepMeLoggedInSection" runat="server" id="KeepMeLoggedInSection">
        <asp:CheckBox runat="server" ID="KeepMeLoggedInCheckbox" TextAlign="Right" />
    </div>
    <div class="ErrorSection" runat="server" id="ErrorSection">
        <div runat="server" id="ErrorLabel"></div>
    </div>
    <div class="ButtonSection">
        <asp:Button runat="server" ID="LoginInButton" OnClick="LoginInButton_Clicked" ValidationGroup="Login" CssClass="Button" />
    </div>
</div>