<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="TimesheetFilter.ascx.cs" Inherits="TimesheetWebApplication.WebUserControls.TimesheetFilter" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="AJAX" %>

<div runat="server" id="FilterDiv">

    <div runat="server" id="UserDiv" class="DataSection">
        <div runat="server" id="UserLabel"><%= Resources.Main.User %></div>
        <asp:TextBox runat="server" ID="UserTextBox" CssClass="TextBox"></asp:TextBox>
    </div>
    
    <div runat="server" id="StatusDiv" class="DataSection">
        <div runat="server" id="StatusLabel"><%= Resources.Main.Status %></div>
        <asp:DropDownList runat="server" ID="StatusList" CssClass="DropDownList"></asp:DropDownList>
    </div>
    
    <div runat="server" id="StartDateDiv" class="DataSection">
        <div runat="server" id="StartDateLabel"><%= Resources.Main.StartDate %></div>
        <asp:TextBox runat="server" ID="StartDateTextBox" CssClass="TextBox"></asp:TextBox>
        <asp:ImageButton ID="StartDateCalendarImage" runat="server" SkinID="CalendarImageButtonSkin" AlternateText='<%$ Resources:Main, StartDate %>' />
        <asp:RegularExpressionValidator runat="server" ID="StartDateTextBoxRegularExpressionValidator" 
            ControlToValidate="StartDateTextBox" Display="Dynamic" Text="*" ErrorMessage='<%$ Resources:Main, InvalidDateFormat %>' />
        <AJAX:TextBoxWatermarkExtender ID="StartDateTextBoxWatermarkExtender" runat="server" TargetControlID="StartDateTextBox" WatermarkCssClass="TextBoxWaterMark" />
        <AJAX:CalendarExtender ID="StartDateTextBoxCalendarExtender" runat="server" FirstDayOfWeek="Monday" TargetControlID="StartDateTextBox" PopupButtonID="StartDateCalendarImage" />
    </div>
    
    <div runat="server" id="EndDateDiv" class="DataSection">
        <div runat="server" id="EndDateLabel"><%= Resources.Main.EndDate %></div>
        <asp:TextBox runat="server" ID="EndDateTextBox" CssClass="TextBox"></asp:TextBox>
        <asp:ImageButton ID="EndDateCalendarImage" runat="server" SkinID="CalendarImageButtonSkin" AlternateText='<%$ Resources:Main, EndDate %>'/>
        <asp:RegularExpressionValidator runat="server" ID="EndDateTextBoxRegularExpressionValidator" ControlToValidate="EndDateTextBox" 
            Display="Dynamic" Text="*" ErrorMessage='<%$ Resources:Main, InvalidDateFormat %>' />
        <AJAX:TextBoxWatermarkExtender ID="EndDateTextBoxWatermarkExtender" runat="server" TargetControlID="EndDateTextBox" WatermarkCssClass="TextBoxWaterMark" />
        <AJAX:CalendarExtender ID="EndDateTextBoxCalendarExtender" runat="server" FirstDayOfWeek="Monday" TargetControlID="EndDateTextBox" PopupButtonID="EndDateCalendarImage" />
    </div>
    
</div>