﻿//-----------------------------------------------------------------------
// <copyright file="GenderDataObjectTest.cs" company="Yasar Bhatti">Copyright(c) Yasar Bhatti. All rights reserved.</copyright>
// <author>Yasar Bhatti</author>
// <summary>Holds class that allows GenderDataObject to be tested.</summary>
//-----------------------------------------------------------------------
namespace DataAccessLayerTest
{
    using System;
    using System.Collections.Generic;
    using System.Text;
    using BusinessObjects;
    using BusinessObjects.Collections;
    using BusinessObjects.Filters;
    using DataAccessLayer;
    using Microsoft.VisualStudio.TestTools.UnitTesting;

    /// <summary>
    /// This is a test class for DataAccessLayer.GenderDataObject and is intended
    /// to contain all DataAccessLayer.GenderDataObject Unit Tests
    /// </summary>
    [TestClass()]
    public class GenderDataObjectTest
    {
        /// <summary>
        /// A test for AddGender (byte, string)
        /// </summary>
        [TestMethod()]
        public void AddGenderTest()
        {
            GenderDataObject target = DataAccessLayerTest.DataAccessLayer_GenderDataObjectAccessor.CreatePrivate();

            byte genderId = 0; // TODO: Initialize to an appropriate value

            string name = null; // TODO: Initialize to an appropriate value

            short expected = 0;
            short actual;

            actual = target.AddGender(genderId, name);

            Assert.AreEqual(expected, actual, "DataAccessLayer.GenderDataObject.AddGender did not return the expected value.");
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        /// A test for DeleteGender (byte)
        /// </summary>
        [TestMethod()]
        public void DeleteGenderTest()
        {
            GenderDataObject target = DataAccessLayerTest.DataAccessLayer_GenderDataObjectAccessor.CreatePrivate();

            byte genderId = 0; // TODO: Initialize to an appropriate value

            target.DeleteGender(genderId);

            Assert.Inconclusive("A method that does not return a value cannot be verified.");
        }

        /// <summary>
        /// A test for GetGender (byte)
        /// </summary>
        [TestMethod()]
        public void GetGenderTest()
        {
            GenderDataObject target = DataAccessLayerTest.DataAccessLayer_GenderDataObjectAccessor.CreatePrivate();

            byte genderId = 0; // TODO: Initialize to an appropriate value

            Gender expected = null;
            Gender actual;

            actual = target.GetGender(genderId);

            Assert.AreEqual(expected, actual, "DataAccessLayer.GenderDataObject.GetGender did not return the expected value.");
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        /// A test for GetGenders (GenderFilter)
        /// </summary>
        [TestMethod()]
        public void GetGendersTest()
        {
            GenderDataObject target = DataAccessLayerTest.DataAccessLayer_GenderDataObjectAccessor.CreatePrivate();

            GenderFilter filter = null; // TODO: Initialize to an appropriate value

            GenderCollection expected = null;
            GenderCollection actual;

            actual = target.GetGenders(filter);

            Assert.AreEqual(expected, actual, "DataAccessLayer.GenderDataObject.GetGenders did not return the expected value.");
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        /// A test for Instance
        /// </summary>
        [TestMethod()]
        public void InstanceTest()
        {
            GenderDataObject val = null; // TODO: Assign to an appropriate value for the property

            Assert.AreEqual(val, DataAccessLayer.GenderDataObject.Instance, "DataAccessLayer.GenderDataObject.Instance was not set correctly.");
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        /// A test for UpdateGender (Gender)
        /// </summary>
        [TestMethod()]
        public void UpdateGenderTest()
        {
            GenderDataObject target = DataAccessLayerTest.DataAccessLayer_GenderDataObjectAccessor.CreatePrivate();
            Gender gender = null; // TODO: Initialize to an appropriate value
            target.UpdateGender(gender);
            Assert.Inconclusive("A method that does not return a value cannot be verified.");
        }
    }
}
