<%@ Page Language="C#" MasterPageFile="~/MasterPages/Admin.Master" AutoEventWireup="true" CodeBehind="CreateJobCode.aspx.cs" Inherits="TimesheetWebApplication.Secure.Admin.CreateJobCode" Title='<%$ Resources:Main, CreateJobCode %>' %>
<asp:Content ID="Content1" ContentPlaceHolderID="AdminContentPlaceHolder" runat="server">

    <asp:ValidationSummary runat="server" ID="CreateJobValidationSummary" ValidationGroup="CreateJobCode" />

    <div class="DataSection">
        <div class="HeaderSection">
            <label class="Header"><%= Resources.Main.CreateActivity %></label>
        </div>
        <div class="MandatorySection" runat="server" id="OrganisationSection">
            <label class="Label"><%= Resources.Main.Organisation %></label>
            <asp:DropDownList runat="server" ID="OrganisationList"></asp:DropDownList>
            <asp:RequiredFieldValidator runat="server" ID="OrganisationListRequiredFieldValidator" ControlToValidate="OrganisationList"
                ErrorMessage='<%$ Resources:Main, OrganisationMustBeSelected %>' ValidationGroup="CreateJobCode" 
                InitialValue="-1">*</asp:RequiredFieldValidator>
        </div>
        <div class="MandatorySection">
            <label class="Label"><%= Resources.Main.Code %></label>
            <asp:TextBox runat="server" ID="CodeTextBox"></asp:TextBox>
            <asp:RequiredFieldValidator runat="server" ID="CodeTextBoxRequiredFieldValidator" ControlToValidate="CodeTextBox"
                ErrorMessage='<%$ Resources:Main, JobCodeRequired %>' ValidationGroup="CreateJobCode">*</asp:RequiredFieldValidator>
        </div>
        <div class="MandatorySection">
            <label class="Label"><%= Resources.Main.Name %></label>
            <asp:TextBox runat="server" ID="NameTextBox"></asp:TextBox>
            <asp:RequiredFieldValidator runat="server" ID="NameRequiredFieldValidator" ControlToValidate="NameTextBox"
                ErrorMessage='<%$ Resources:Main, NameRequired %>' ValidationGroup="CreateJobCode">*</asp:RequiredFieldValidator>
        </div>
        <div class="ButtonSection">
            <asp:Button runat="server" ID="CreateJobCodeButton" Text='<%$ Resources:Main, CreateJobCode %>' OnClick="CreateJobCodeButton_Clicked" ValidationGroup="CreateJobCode" CssClass="Button" />
            <asp:Button runat="server" ID="CancelButton" Text='<%$ Resources:Main, Cancel %>' OnClick="CancelButton_Clicked" CausesValidation="false" CssClass="Button" />
        </div>
    </div>
    
</asp:Content>
