<%@ Page Language="C#" MasterPageFile="~/MasterPages/Admin.Master" AutoEventWireup="true" CodeBehind="CreateOrganisation.aspx.cs" Inherits="TimesheetWebApplication.Secure.Admin.CreateOrganisation" Title='<%$ Resources:Main, CreateOrganisation %>' %>
<asp:Content ID="Content1" ContentPlaceHolderID="AdminContentPlaceHolder" runat="server">

    <asp:ValidationSummary runat="server" ID="CreateOrganisationValidationSummary" ValidationGroup="Organisation" />

    <div class="DataSection">
        <div class="HeaderSection">
            <label class="Header"><%= Resources.Main.CreateOrganisation%></label>
        </div>
        <div class="MandatorySection">
            <label class="Label"><%= Resources.Main.Name %></label>
            <asp:TextBox runat="server" ID="NameTextBox"></asp:TextBox>
            <asp:RequiredFieldValidator runat="server" ID="NameRequiredFieldValidator" ControlToValidate="NameTextBox"
                ErrorMessage='<%$ Resources:Main, NameRequired %>' ValidationGroup="Organisation">*</asp:RequiredFieldValidator>
        </div>
        <div class="ButtonSection">
            <asp:Button runat="server" ID="CreateOrganisationButton" Text='<%$ Resources:Main, CreateOrganisation %>' OnClick="CreateOrganisationButton_Clicked" ValidationGroup="Organisation" CssClass="Button" />
            <asp:Button runat="server" ID="CancelButton" Text='<%$ Resources:Main, Cancel %>' OnClick="CancelButton_Clicked" CssClass="Button" />
        </div>
    </div>
    
</asp:Content>
