<%@ Page Language="C#" MasterPageFile="~/MasterPages/Admin.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="TimesheetWebApplication.Secure.Admin.Default" Title='<%$ Resources:Main, Administration %>' %>
<asp:Content ID="Content1" ContentPlaceHolderID="AdminContentPlaceHolder" runat="server">

    <div runat="server" id="ActivitiesDiv" class="AdminSectionStyle">
        <div class="Title"><%= Resources.Main.Activities %></div>
        <ul>
            <li>    
                <div class="Link"><a href="CreateActivity.aspx"><%= Resources.Main.CreateActivity %></a></div>
                <div class="Description"><%= Resources.Main.CreateActivityDescription %></div>
            </li>
            <li>    
                <div class="Link"><a href="Activities.aspx"><%= Resources.Main.ManageActivities %></a></div>
                <div class="Description"><%= Resources.Main.ManageActivitiesDescription %></div>
            </li>
         </ul>
    </div>
    
    <div runat="server" id="UserDiv" class="AdminSectionStyle">
        <div class="Title"><%= Resources.Main.Users %></div>
        <ul>
            <li>    
                <div class="Link"><a href="CreateUser.aspx"><%= Resources.Main.CreateUser %></a></div>
                <div class="Description"><%= Resources.Main.CreateUserDescription %></div>
            </li>
            <li>    
                <div class="Link"><a href="Users.aspx"><%= Resources.Main.ManageUsers %></a></div>
                <div class="Description"><%= Resources.Main.ManageUsersDescription %></div>
            </li>
         </ul>
    </div>
    
    <div runat="server" id="JobCodeDiv" class="AdminSectionStyle">
        <div class="Title"><%= Resources.Main.JobCodes %></div>
        <ul>
            <li>    
                <div class="Link"><a href="CreateJobCode.aspx"><%= Resources.Main.CreateJobCode%></a></div>
                <div class="Description"><%= Resources.Main.CreateJobCodeDescription%></div>
            </li>
            <li>    
                <div class="Link"><a href="JobCodes.aspx"><%= Resources.Main.ManageJobCodes%></a></div>
                <div class="Description"><%= Resources.Main.ManageJobCodesDescription%></div>
            </li>
         </ul>
    </div>
    
    <div runat="server" id="OrganisationDiv" class="AdminSectionStyle">
        <div class="Title"><%= Resources.Main.Organisations %></div>
        <ul>
            <li>    
                <div class="Link"><a href="CreateOrganisation.aspx"><%= Resources.Main.CreateOrganisation %></a></div>
                <div class="Description"><%= Resources.Main.CreateOrganisationDescription %></div>
            </li>
            <li>    
                <div class="Link"><a href="Organisations.aspx"><%= Resources.Main.ManageOrganisations%></a></div>
                <div class="Description"><%= Resources.Main.ManageOrganisationsDescription%></div>
            </li>
         </ul>
    </div>
    
    <div runat="server" id="RolesDiv" class="AdminSectionStyle">
        <div class="Title"><%= Resources.Main.Roles %></div>
        <ul>
            <li>    
                <div class="Link"><a href="CreateRole.aspx"><%= Resources.Main.CreateRole %></a></div>
                <div class="Description"><%= Resources.Main.CreateRoleDescription %></div>
            </li>
            <li>    
                <div class="Link"><a href="Roles.aspx"><%= Resources.Main.ManageRoles %></a></div>
                <div class="Description"><%= Resources.Main.ManageRolesDescription %></div>
            </li>
         </ul>
    </div>
    
    <div runat="server" id="TimesheetStatusesDiv" class="AdminSectionStyle">
        <div class="Title"><%= Resources.Main.TimesheetStatuses%></div>
        <ul>
            <li>    
                <div class="Link"><a href="CreateTimesheetStatus.aspx"><%= Resources.Main.CreateTimesheetStatus%></a></div>
                <div class="Description"><%= Resources.Main.CreateTimesheetStatusDescription%></div>
            </li>
            <li>    
                <div class="Link"><a href="TimesheetStatuses.aspx"><%= Resources.Main.ManageTimesheetStatuses%></a></div>
                <div class="Description"><%= Resources.Main.ManageTimesheetStatusesDescription%></div>
            </li>
         </ul>
    </div>
    
    <div runat="server" id="NoOrganisationDiv" visible="false">
        <asp:Literal runat="server" ID="NoOrgMessage" Text="<%$ Resources:Main, UserNotInOrganisation %>" />
    </div>
    
</asp:Content>
