<%@ Page Language="C#" MasterPageFile="~/MasterPages/Secure.Master" AutoEventWireup="true" CodeBehind="ChangePassword.aspx.cs" Inherits="TimesheetWebApplication.Secure.ChangePassword" Title='<%$ Resources:Main, ChangePassword %>' %>
<asp:Content ID="Content1" ContentPlaceHolderID="SecureContentPlaceHolder" runat="server">

    <asp:ValidationSummary runat="server" ID="ChangePasswordValidationSummary" ValidationGroup="ChangePassword" />
    
    <div runat="server" id="ChangePasswordDiv" class="ChangePasswordControlStyle">
        <div class="HeaderSection">
            <div runat="server" id="HeaderLabel"><%= Resources.Main.ChangePassword %></div>
        </div>
        <div class="DataSection">
            <div runat="server" id="OldPasswordLabel"><%= Resources.Main.OldPassword %></div>
            <asp:TextBox runat="server" ID="OldPasswordTextbox" TextMode="Password" AutoComplete="off" CssClass="TextBox"></asp:TextBox>
            <asp:RequiredFieldValidator runat="server" ID="OldPasswordTextboxValidator" ControlToValidate="OldPasswordTextbox" 
                Text="*" ValidationGroup="ChangePassword" ErrorMessage='<%$ Resources:Main, OldPasswordRequired %>' />
        </div>
        <div class="DataSection">
            <div runat="server" id="NewPasswordLabel"><%= Resources.Main.NewPassword %></div>
            <asp:TextBox runat="server" ID="NewPasswordTextbox" TextMode="Password" AutoComplete="off" CssClass="TextBox"></asp:TextBox>
            <asp:RequiredFieldValidator runat="server" ID="NewPasswordTextboxValidator" ControlToValidate="NewPasswordTextbox" 
                Text="*" ValidationGroup="ChangePassword" ErrorMessage='<%$ Resources:Main, NewPasswordRequired %>' />
        </div>
        <div class="DataSection">
            <div runat="server" id="ConfirmNewPasswordLabel"><%= Resources.Main.ConfirmNewPassword %></div>
            <asp:TextBox runat="server" ID="ConfirmNewPasswordTextbox" TextMode="Password" AutoComplete="off" CssClass="TextBox"></asp:TextBox>
            <asp:RequiredFieldValidator runat="server" ID="ConfirmNewPasswordTextboxValidator" ControlToValidate="ConfirmNewPasswordTextbox" 
                Text="*" ValidationGroup="ChangePassword" ErrorMessage='<%$ Resources:Main, ConfirmPasswordRequried %>' />
        </div>
        <div class="ErrorSection" runat="server" id="ErrorSection">
            <div runat="server" id="ErrorLabel"></div>
        </div>
        <div class="ButtonSection">
            <asp:Button runat="server" ID="ChangePasswordButton" OnClick="ChangePasswordButton_Clicked" ValidationGroup="ChangePassword"
                Text='<%$ Resources:Main, ChangePassword %>' CssClass="Button" />
            <asp:Button runat="server" ID="CancelButton" OnClick="CancelButton_Clicked" CausesValidation="false"
                Text='<%$ Resources:Main, Cancel %>' CssClass="Button" />
        </div>
    </div>
    
    <div runat="server" id="PasswordChangedDiv" visible="false">
        <%= Resources.Main.PasswordChanged %>
    </div>

</asp:Content>
