<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ActivityFilter.ascx.cs" Inherits="TimesheetWebApplication.WebUserControls.ActivityFilter" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="AJAX" %>

<div runat="server" id="FilterDiv">

    <div runat="server" id="OrganisationDiv" class="DataSection">
        <div runat="server" id="OrganisationLabel"><%= Resources.Main.Organisation %></div>
        <asp:DropDownList runat="server" ID="OrganisationList" AutoPostBack="true" OnSelectedIndexChanged="OrganisationList_IndexChanged" CssClass="DropDownList"></asp:DropDownList>
        <asp:RequiredFieldValidator runat="server" ID="OrganisationRequiredFieldValidator" ControlToValidate="OrganisationList"
            InitialValue="-1" ErrorMessage='<%$ Resources:Main, OrganisationMustBeSelected %>'>*</asp:RequiredFieldValidator>
    </div>
    
    <div runat="server" id="JobCodeDiv" class="DataSection">
        <div runat="server" id="JobCodeLabel"><%= Resources.Main.JobCode %></div>
        <asp:DropDownList runat="server" ID="JobCodeList" CssClass="DropDownList"></asp:DropDownList>
        <asp:RequiredFieldValidator runat="server" ID="JobCodeRequiredFieldValidator" ControlToValidate="JobCodeList"
            InitialValue="-1" ErrorMessage='<%$ Resources:Main, JobCodeMustBeSelected %>'>*</asp:RequiredFieldValidator>
    </div>
    
</div>